Summary: A commonly used, MIME compliant mail and news reader.
Name: pine
Version: 4.21
Release: 8
Copyright: distributable
Url: http://www.washington.edu/pine
Group: Applications/Internet
Source0: ftp://ftp.cac.washington.edu/pine/pine%{version}.tar.gz
Source2: pine.conf
Patch0: pine4.20-redhat.patch
# XXX is sigchild patch still necessary???
Patch3: pine-3.96-sigchld.patch
Patch5: pine-4.02-filter.patch
Patch6: pine4.04-noflock.patch
Patch8: pine4.20-maildir.patch
Patch9: pine4.21-maildirfix.patch
Patch10: pine4.21-krb5-111.patch
Patch11: pine-4.21-fixhome.patch
Buildroot: %{_tmppath}/pine-root
BuildPrereq: openldap-devel
%define gssapi %(test -r /usr/kerberos/lib/libkrb5.a && echo 1 || echo 0)
%if %gssapi
Requires: krb5-libs krb5-configs
%endif

%description
Pine is a very popular, easy to use, full-featured email user agent
which includes a simple text editor called pico. Pine supports MIME
extensions and can also be used to read news.  Pine also supports
IMAP, mail and MH style folders.

Pine should be installed because Pine is a very commonly used email
user agent.

%prep
%setup -q -n pine%{version}
%patch0 -p1 -b .glibc
%patch5 -p1 -b .filter
%patch6 -p1 -b .noflock
%patch8 -p1 -b .maildir
%patch9 -p1 -b .maildirfix
%if %gssapi
%patch10 -p1 -b .krb5-111
%endif
%patch11 -p1 -b .fixhome

# this wants /usr/local/bin/perl
chmod 644 contrib/utils/pwd2pine

%if %gssapi
rm -f krb5 && ln -s /usr/kerberos krb5
./contrib/krb5-setup slx slx
%endif

rm -fr ldap && mkdir ldap && ln -s /usr/lib ldap/libraries && ln -s /usr/include ldap/include
./contrib/ldap-setup slx slx ||:

%build
perl -pi -e "s/-g -fno-omit-frame-pointer -O6/$RPM_OPT_FLAGS/" \
	c-client/Makefile imap/src/osdep/unix/Makefile imap/c-client/Makefile

./build \
	DEBUG="" \
	OPTIMIZE="$RPM_OPT_FLAGS" \
	EXTRACFLAGS="-DIGNORE_LOCK_EACCES_ERRORS" \
%if %gssapi
        EXTRAAUTHENTICATORS=gss \
%endif
	slx

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/doc $RPM_BUILD_ROOT/usr/lib
install -m 644 doc/mime.types $RPM_BUILD_ROOT/usr/lib/mime.types
for n in pine pico pilot; do
    install -m 755 -s bin/$n $RPM_BUILD_ROOT/usr/bin/$n
done

cd doc
for n in pine.1 pico.1 pilot.1; do
    install -m 644 $n $RPM_BUILD_ROOT/usr/man/man1
done
mkdir -p $RPM_BUILD_ROOT/etc
cp %{SOURCE2} $RPM_BUILD_ROOT/etc/pine.conf
cat <<EOF > $RPM_BUILD_ROOT/etc/pine.conf.fixed
#
# Pine system-wide enforced configuration file - customize as needed
#
# This file holds the system-wide enforced values for pine configuration
# settings. Any values set in it will override values set in the
# system-wide default configuration file (/etc/pine.conf) and
# the user's own configuration file (~/.pinerc).
# For more information on the format of this file, read the
# comments at the top of /usr/lib/pine.conf

EOF

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Internet
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Internet/pine.desktop <<EOF
[Desktop Entry]
Name=Pine
Type=Application
Comment=Mail reader
Exec=pine
Terminal=true
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CPYRIGHT doc/*.txt doc/pine-ports doc/tech-notes doc/mailcap.unx contrib
/usr/bin/pine
/usr/bin/pico
/usr/bin/pilot
/usr/man/man1/pico.1*
/usr/man/man1/pine.1*
/usr/man/man1/pilot.1*
%attr(0644,root,root)	%config /usr/lib/mime.types
%attr(0644,root,root)	%config /etc/pine.conf
%attr(0644,root,root)	%config /etc/pine.conf.fixed
%attr(0644,root,root)	%config(missingok) /etc/X11/applnk/Internet/pine.desktop

%changelog
* Tue Mar 07 2000 Preston Brown <pbrown@redhat.com>
- fix home key in pico/pine

* Wed Mar  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- make kerberos support conditional at build-time
- remove build prereq krb5-devel

* Wed Mar  1 2000 Bill Nottingham <notting@redhat.com>
- integrate kerberos support into main tree

* Fri Feb 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- add GSS authenticator
- BuildPrereq: krb5-devel

* Thu Feb 17 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up maildir patch (Bug #6002)
- BuildPrereq: openldap-devel

* Thu Feb 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description
- man pages are compressed

* Fri Jan 21 2000 Preston Brown <pbrown@redhat.com>
- remove enable mouse in xterm config setting.

* Wed Nov 24 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 4.21
- remove ioctl patch, it's no longer necessary

* Tue Nov  2 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Provide a more reasonable /etc/pine.conf, allowing stuff like
  tab completion, full header command, ...
- handle RPM_OPT_FLAGS

* Wed Oct 13 1999 Preston Brown <pbrown@redhat.com>
- pine 4.20, updated glibc and maildir patches

* Thu Aug 12 1999 Cristian Gafton <gafton@redhat.com>
- add maildir patch

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Feb 26 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot and add cleanup section
- move config files to /etc/pine.conf

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- turned off .pine-debugX files

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Nov 13 1998 Cristian Gafton <gafton@redhat.com>
- patch to enable SIGWINCH processing (why do the pine folks keep 
  disabling this stuff?!)

* Fri Oct 09 1998 Cristian Gafton <gafton@redhat.com>
- use termios instead of termio (patch used to be in here...)
- use terminfo instead of termcap and link against ncurses instead of termcap
- supply -lcrypt as a standard lib

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 4.04 (compatibility with some client imaps).

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.03

* Fri Aug 14 1998 Jeff Johnson <jbj@redhat.com>
- patch to 4.02A.
- disable stupid EACCESS warnings.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.02.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jan 15 1998 Erik Troan <ewt@redhat.com>
- added patch to fix pine filters

* Tue Dec 30 1997 Erik Troan <ewt@redhat.com>
- fixed resizing in pine and pico

* Thu Dec 18 1997 Erik Troan <ewt@redhat.com>
- removed patch for SIGCHLD race -- it shouldn't be necessary
- added patch to avoid longjmp() from SIGCHLD handler -- SIGCHLD handling
  is sane now

* Thu Dec 11 1997 Cristian Gafton <gafton@redhat.com>
- added a patch for handling a SIGCHLD race condition

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- fix for locks w/ long st_dev field
- use termios rather then termio

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- removed exec bit from /usr/doc/pine-3.96-1/contrib/utils/pwd2pine
